## trafficserver 8.1.7

=== debian/changelog ===
trafficserver (8.1.7-0+deb10u4) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-31309: HTTP/2 CONTINUATION DoS attack

 -- Adrian Bunk <bunk@debian.org>  Sun, 28 Apr 2024 21:24:00 +0300

trafficserver (8.1.7-0+deb10u3) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2023-41752: s3_auth plugin exposes AWSAccessKeyId
  * CVE-2023-44487: HTTP/2 Rapid Reset denial of service

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Nov 2023 21:52:00 +0200

trafficserver (8.1.7-0+deb10u2) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2022-47185, CVE-2023-33934: Improper input validation

 -- Adrian Bunk <bunk@debian.org>  Sat, 30 Sep 2023 17:35:12 +0300

trafficserver (8.1.7-0+deb10u1) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * New upstream release.
    - CVE-2022-47184: The TRACE method can be used to disclose
      network information.
    - CVE-2023-30631: Configuration option to block the PUSH method
      in ATS didn't work.
    - CVE-2023-33933: s3_auth plugin problem with hash calculation.

 --  Adrian Bunk <bunk@debian.org>  Thu, 29 Jun 2023 18:41:23 +0300

trafficserver (8.1.6+ds-1~deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Backport upstream version 8.1.6 to Buster.
  * Fix CVE-2022-31778, CVE-2022-31779, CVE-2022-32749, CVE-2022-37392.
    Several vulnerabilities were discovered in Apache Traffic Server, a reverse
    and forward proxy server, which could result in HTTP request smuggling,
    cache poisoning or information disclosure.

 -- Markus Koschany <apo@debian.org>  Wed, 05 Apr 2023 22:24:05 +0200

=== debian/control ===
Source: trafficserver
Section: web
Priority: optional
Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
Build-Depends: debhelper-compat (= 12), libssl-dev, tcl-dev, libexpat1-dev,
  libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
  libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
  python3-distro, python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
  libxml2-dev, libncurses-dev, libcurl4-openssl-dev,
  libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
  libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
  libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
Standards-Version: 4.5.1
Homepage: https://trafficserver.apache.org/
Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
Vcs-Browser: https://salsa.debian.org/debian/trafficserver

Package: trafficserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
  ${perl:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: trafficserver-plugin-conf-remap
Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 8.0.0~)
Suggests: trafficserver-experimental-plugins (= ${binary:Version})
Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
 trafficserver-experimental-plugins (<< 8.0.0~)
Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 caching proxy server
 This package provides the Apache Traffic Server, a fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: improve response time while reducing server load and bandwidth
     needs by caching and reusing frequently-requested web pages, images, and
     web service calls.
   * Proxying: add keep-alive, filter or anonymize content requests, or add
     load balancing by adding a proxy layer.
   * Scaling: handle 10s of thousands of requests per second on modern SMP
     hardware.
   * Extensions: use the API to do anything from modifying HTTP headers to
     handling ESI requests to writing your own cache algorithm.

Package: trafficserver-experimental-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: trafficserver (= ${binary:Version})
Breaks: trafficserver (<< 8.0.0~)
Description: experimental plugins for Apache Traffic Server
 This package provides the Apache Traffic Server plugins marked as
 experimental.
 .
 Please note that these plugins can be removed without priori notice, or
 promoted as stable plugin. In the last case, they'll be moved from
 trafficserver-experimental-plugins to trafficserver package.

Package: trafficserver-dev
Architecture: any
Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides the Apache Traffic Server Software Developers Kit, which
 consists of: a collection of development header and bindings for the C
 programming language, the tsxs linking helper and examples to write your own
 plug-ins for the Apache Traffic Server.

## trafficserver 8.1.7+ds

=== debian/changelog ===
trafficserver (8.1.7+ds-1~deb11u1) bullseye-security; urgency=high

  * New upstream version 8.1.7+ds
  * Multiple CVE fixes for 8.1.x (Closes: #1038248)
    + CVE-2022-47184: Exposure of Sensitive Information to an Unauthorized Actor vulnerability
    + CVE-2023-30631: Improper Input Validation vulnerability
    + CVE-2023-33933: Exposure of Sensitive Information to an Unauthorized Actor vulnerability

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 21 Jun 2023 11:16:56 +0200

## trafficserver 8.1.9+ds

=== debian/changelog ===
trafficserver (8.1.9+ds-1~deb11u1) bullseye-security; urgency=medium

  * New upstream version 8.1.9+ds
  * Update d/patches for 8.1.9+ds-1~deb11u1 release
  * Update d/trafficserver-experimental-plugins.install
  * Multiple CVE fixes for 8.1.x (Closes: #1054427, Closes: #1053801)
    - CVE-2022-47185: Improper input validation vulnerability
    - CVE-2023-33934: Improper Input Validation vulnerability
    - CVE-2023-41752: Exposure of Sensitive Information to an Unauthorized Actor
    - CVE-2023-44487: The HTTP/2 protocol allows a denial of service

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 02 Nov 2023 17:00:26 +0100

## trafficserver 8.1.10+ds

=== debian/changelog ===
trafficserver (8.1.10+ds-1~deb11u1) bullseye-security; urgency=medium

  * New upstream version 8.1.10+ds
  * CVEs fix (Closes: #1068417)
    - CVE-2024-31309: HTTP/2 CONTINUATION DoS attack

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 13 Apr 2024 11:54:31 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -O3
export DEB_CXXFLAGS_MAINT_APPEND = -O3
# mips & mipsel need explicit libatomic link
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),mips mipsel))
  export DEB_LDFLAGS_MAINT_APPEND += -latomic
endif

# Get build architecture. ./configure is different on Linux
include /usr/share/dpkg/architecture.mk
# Get rid f dpkg-parsechangelog
include /usr/share/dpkg/pkg-info.mk

configure_flags = \
	--enable-layout=Debian \
	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
	--libexecdir=/usr/lib/trafficserver/modules \
	--with-user=root --with-group=root --disable-silent-rules \
	--enable-experimental-plugins --enable-32bit-build \
	--enable-mime-sanity-check --enable-docs \
	--with-build-version=$(DEB_VERSION) \
	--with-yaml-cpp=/usr \
        $(shell dpkg-buildflags --export=configure)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	configure_flags += --enable-wccp
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor
	rm -f debian/tmp/usr/bin/trafficserver # We install our own
	# Satisfy §10.2 (http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
	rm -f debian/tmp/usr/lib/trafficserver/lib*.la
	rm -f debian/tmp/usr/lib/trafficserver/modules/*.la
	rm -f debian/tmp/usr/lib/trafficserver/lib*.a
ifneq ($(DEB_HOST_ARCH_OS),linux)
	# Remove Linux-specific plugin
	sed -i '/\/healthchecks\.so$$/d' \
		debian/trafficserver.install
endif

override_dh_install:
	dh_install
	dh_missing --list-missing
	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config
	# Lintian fixes
	mkdir -p debian/trafficserver/usr/share/doc/trafficserver
	cat CHANGELOG-* >> debian/trafficserver/usr/share/doc/trafficserver/changelog
	#rm debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/ssl_preaccept.config
	#(cd debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/; \
	#ln -s ssl_preaccept.config ssl_sni.config)

override_dh_fixperms:
	dh_fixperms -Xvar/lib/trafficserver \
		    -Xvar/log/trafficserver \
		    -Xvar/cache/trafficserver \
		    -Xvar/run/trafficserver
	# Fix lintian warning
	chmod -x debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/remap_header_add/build.txt

override_dh_installexamples:
	dh_installexamples -XMakefile -X.libs -X.dirstamp -X.deps -X.la -X.lo

override_dh_makeshlibs:
	dh_makeshlibs -Xdebian/tmp/usr/lib/trafficserver

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,repack,compression=xz" \
   https://downloads.apache.org/trafficserver/ \
   trafficserver-(8\.1\.\d+)\.tar\.bz2 \
   debian uupdate

## trafficserver 8.1.11+ds

=== debian/changelog ===
trafficserver (8.1.11+ds-0+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * d/patches/CVE-2024-38479.patch: Fix CVE-2024-38479 (closes: #1087531).
    - Fix improper Input Validation vulnerability in Apache Traffic Server.
  * d/patches/CVE-2024-50306.patch: Fix CVE-2024-50306 (closes: #1087531).
    - Fix a possible problem that can allow Apache Traffic Server to retain
      privileges on startup.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 15 Feb 2025 23:30:52 +0100

trafficserver (8.1.11+ds-0+deb11u1) bullseye-security; urgency=medium

  * New upstream release.
    - CVE-2023-38522: Incomplete field name check allows request smuggling
    - CVE-2024-35161: Incomplete check for chunked trailer section allows
      request smuggling
    - CVE-2024-35296: Invalid Accept-Encoding can force forwarding requests

 -- Adrian Bunk <bunk@debian.org>  Thu, 26 Sep 2024 16:41:35 +0300

=== debian/tests/control ===
Test-Command: make check
Depends: @builddeps@
Restrictions: build-needed, rw-build-tree, allow-stderr, needs-root
Features: test-name=check

## trafficserver 9.1.0+ds

=== debian/changelog ===
trafficserver (9.1.0+ds-2) unstable; urgency=medium

  * Restrict architecture to 64bits (Closes: #996636)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 18 Oct 2021 16:58:03 +0200

trafficserver (9.1.0+ds-1) unstable; urgency=medium

  * New upstream version 9.1.0+ds
  * Patches refresh for 9.1.0
  * Add patch to fix traffic_top build when using format-security
  * Add patch to fix traffic_manager build when using mime-sanity-check
  * Disable documentation build
  * Bump Standards-Version
  * Update experimental plugins list

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 16 Oct 2021 11:21:06 +0200

trafficserver (9.0.1+ds-1) UNRELEASED; urgency=medium

  * New upstream version 9.0.1+ds

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 31 May 2021 11:00:56 +0200

trafficserver (9.0.0+ds-1) UNRELEASED; urgency=medium
 
  * New upstream version 9.0.0+ds
  * Update d/gbp.conf
  * Patches refresh for 9.0.0
  * Update d/rules to disable wccp
  * Update d/NEWS to reflect wccp being disabled
  * Update trafficserver plugins list
  * Update d/control
  * Rename d/trafficserver.tmpfile to .tmpfiles
  * Update d/docs to remove obsolete files
  * Update d/rules to remove some test plugins before dh_install
  * Update d/README.Debian with ATS 9.0.0 main changes

=== debian/control ===
--- 
+++ 
@@ -3,31 +3,31 @@
 Priority: optional
 Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
 Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
-Build-Depends: debhelper-compat (= 12), libssl-dev, tcl-dev, libexpat1-dev,
+Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
   python3-distro, python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
-  libxml2-dev, libncurses-dev, libcurl4-openssl-dev,
+  libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver
 
 Package: trafficserver
-Architecture: any
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
   ${perl:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Provides: trafficserver-plugin-conf-remap
 Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
- trafficserver-experimental-plugins (<< 8.0.0~)
+ trafficserver-experimental-plugins (<< 9.0.0~)
 Suggests: trafficserver-experimental-plugins (= ${binary:Version})
 Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
- trafficserver-experimental-plugins (<< 8.0.0~)
+ trafficserver-experimental-plugins (<< 9.0.0~)
 Description: fast, scalable and extensible HTTP/1.1 and HTTP/2.0 caching proxy server
  This package provides the Apache Traffic Server, a fast, scalable reverse
  proxy server which may operate as forward proxy as well. Apache Traffic Server
@@ -44,10 +44,10 @@
      handling ESI requests to writing your own cache algorithm.
 
 Package: trafficserver-experimental-plugins
-Architecture: any
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: trafficserver (= ${binary:Version})
-Breaks: trafficserver (<< 8.0.0~)
+Breaks: trafficserver (<< 9.0.0~)
 Description: experimental plugins for Apache Traffic Server
  This package provides the Apache Traffic Server plugins marked as
  experimental.
@@ -57,7 +57,7 @@
  trafficserver-experimental-plugins to trafficserver package.
 
 Package: trafficserver-dev
-Architecture: any
+Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
 Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
 Description: Apache Traffic Server Software Developers Kit (SDK)
  This package provides the Apache Traffic Server Software Developers Kit, which

## trafficserver 9.1.1+ds

=== debian/changelog ===
trafficserver (9.1.1+ds-1) unstable; urgency=medium

  * New upstream version 9.1.1+ds
    - CVE-2021-37147: Improper input validation
    - CVE-2021-37148: Improper input validation
    - CVE-2021-37149: Improper Input Validation
    - CVE-2021-43082: Buffer Overflow
  * Patches refresh for 9.1.1
  * Remove broken sphinx and plantuml dependencies

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 05 Nov 2021 11:11:10 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
   libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
-  python3-distro, python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
-  libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,
+  python3-distro, libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,10 @@
 	--libexecdir=/usr/lib/trafficserver/modules \
 	--with-user=root --with-group=root --disable-silent-rules \
 	--enable-experimental-plugins --enable-32bit-build \
-	--enable-mime-sanity-check --enable-docs \
+	--enable-mime-sanity-check \
 	--with-build-version=$(DEB_VERSION) \
 	--with-yaml-cpp=/usr \
         $(shell dpkg-buildflags --export=configure)
-
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-	configure_flags += --enable-wccp
-endif
 
 %:
 	dh $@
@@ -53,6 +49,12 @@
 
 override_dh_install:
 	dh_install
+	# Remove .so from unit-test
+	# rm -f debian/tmp/lib/trafficserver/plugin_missing*
+	# rm -f debian/tmp/lib/trafficserver/plugin_required*
+	# rm -f debian/tmp/lib/trafficserver/plugin_testing*
+	# rm -f debian/tmp/lib/trafficserver/plugin_v*
+	rm -f debian/tmp/usr/lib/trafficserver/plugin*
 	dh_missing --list-missing
 	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config
 	# Lintian fixes
@@ -67,8 +69,6 @@
 		    -Xvar/log/trafficserver \
 		    -Xvar/cache/trafficserver \
 		    -Xvar/run/trafficserver
-	# Fix lintian warning
-	chmod -x debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/remap_header_add/build.txt
 
 override_dh_installexamples:
 	dh_installexamples -XMakefile -X.libs -X.dirstamp -X.deps -X.la -X.lo

## trafficserver 9.1.2+ds

=== debian/changelog ===
trafficserver (9.1.2+ds-5) unstable; urgency=medium

  * Update d/copyright
  * Enable manpages built after fix

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 22 May 2022 21:35:07 +0200

trafficserver (9.1.2+ds-4) unstable; urgency=medium

  * Update build-dep to fix x32 build

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 15:52:34 +0200

trafficserver (9.1.2+ds-3) unstable; urgency=medium

  * Remove unavailable plugin on ppc64el (Closes: #1004511)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 13:02:41 +0200

trafficserver (9.1.2+ds-2) unstable; urgency=medium

  * Fix missing CVE reference in d/changelog
  * Update build-dep to workaround luajit segfault on ppc64el (Closes: #1004511)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev and libyaml-cpp-dev.
    + trafficserver: Drop versioned constraint on lsb-base in Depends.
    + Remove 9 maintscript entries from 1 files.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 21 May 2022 09:47:05 +0200

trafficserver (9.1.2+ds-1) unstable; urgency=medium

  * Fix typo in d/changelog
  * Update patches that have been forwarded upstream
  * New upstream version 9.1.2+ds
    - CVE-2021-44040: Improper Input Validation
  * Patches refresh for 9.1.2

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 25 Apr 2022 15:00:33 +0200

trafficserver (9.1.1+ds-2) unstable; urgency=medium

  * Fix lintian warnings
  * Update build-dep for geoip.
  * Enable maxmind_acl experimental plugin build (Closes: #999666)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 18 Nov 2021 15:48:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
-  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
-  libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
-  python3-distro, libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,
+  bison [linux-any], flex [linux-any], pkg-config,
+  lua [ppc64el x32], libluajit-5.1-dev [!ppc64el !x32], libmaxminddb-dev,
+  python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
+  libboost-dev, libhwloc-dev, default-libmysqlclient-dev,python3-distro,
+  libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
-  libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev (>= 0.6.2~),
+  libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev,
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
 Standards-Version: 4.6.0
 Homepage: https://trafficserver.apache.org/
@@ -18,7 +20,7 @@
 
 Package: trafficserver
 Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, adduser,
   ${perl:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Provides: trafficserver-plugin-conf-remap

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 # Get build architecture. ./configure is different on Linux
 include /usr/share/dpkg/architecture.mk
-# Get rid f dpkg-parsechangelog
+# Get rid of dpkg-parsechangelog
 include /usr/share/dpkg/pkg-info.mk
 
 configure_flags = \
@@ -23,9 +23,10 @@
 	--libexecdir=/usr/lib/trafficserver/modules \
 	--with-user=root --with-group=root --disable-silent-rules \
 	--enable-experimental-plugins --enable-32bit-build \
-	--enable-mime-sanity-check \
+	--enable-mime-sanity-check --enable-docs \
 	--with-build-version=$(DEB_VERSION) \
 	--with-yaml-cpp=/usr \
+	--with-hrw-geo-provider=maxminddb \
         $(shell dpkg-buildflags --export=configure)
 
 %:
@@ -46,23 +47,25 @@
 	sed -i '/\/healthchecks\.so$$/d' \
 		debian/trafficserver.install
 endif
+ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
+	# Remove unavailable plugin on ppc64el (see #1004511)
+	sed -i '/\/tslua\.so$$/d' \
+		debian/trafficserver.install
+endif
+ifeq ($(DEB_HOST_ARCH_CPU),x32)
+	# Remove unavailable plugin on x32
+	sed -i '/\/tslua\.so$$/d' \
+		debian/trafficserver.install
+endif
 
 override_dh_install:
 	dh_install
-	# Remove .so from unit-test
-	# rm -f debian/tmp/lib/trafficserver/plugin_missing*
-	# rm -f debian/tmp/lib/trafficserver/plugin_required*
-	# rm -f debian/tmp/lib/trafficserver/plugin_testing*
-	# rm -f debian/tmp/lib/trafficserver/plugin_v*
 	rm -f debian/tmp/usr/lib/trafficserver/plugin*
 	dh_missing --list-missing
 	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config
 	# Lintian fixes
 	mkdir -p debian/trafficserver/usr/share/doc/trafficserver
 	cat CHANGELOG-* >> debian/trafficserver/usr/share/doc/trafficserver/changelog
-	#rm debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/ssl_preaccept.config
-	#(cd debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/; \
-	#ln -s ssl_preaccept.config ssl_sni.config)
 
 override_dh_fixperms:
 	dh_fixperms -Xvar/lib/trafficserver \

## trafficserver 9.1.3+ds

=== debian/changelog ===
trafficserver (9.1.3+ds-3) unstable; urgency=medium

  * Replace deprecated /var/run references with /run

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 24 Oct 2022 09:31:37 +0200

trafficserver (9.1.3+ds-2) unstable; urgency=medium

  * Update build-dep to ensure /etc/hosts is available. (Closes: #1019553)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 13 Sep 2022 15:44:58 +0200

trafficserver (9.1.3+ds-1) unstable; urgency=medium

  * New upstream version 9.1.3+ds
    - CVE-2021-37150 Protocol vs scheme mismatch
    - CVE-2022-25763 Improper input validation on HTTP/2 headers
    - CVE-2022-28129  Insufficient Validation of HTTP/1.x Headers
    - CVE-2022-31780 HTTP/2 framing vulnerabilities

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 10 Aug 2022 09:38:21 +0200

trafficserver (9.1.2+ds-13) unstable; urgency=medium

  * Fully remove ppc64 architecture because of broken support

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 29 Jun 2022 09:33:07 +0200

trafficserver (9.1.2+ds-12) unstable; urgency=medium

  * Fix lintian error in d/changelog

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 27 Jun 2022 18:07:27 +0200

trafficserver (9.1.2+ds-11) unstable; urgency=medium

  * Remove ppc64el architecture (Closes: #1013812)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 27 Jun 2022 14:02:31 +0200

trafficserver (9.1.2+ds-10) unstable; urgency=medium

  * Add patch from upstream to improve OpenSSL 3 compatibility
  * Add patch to fix proxy_http tests
  * Update d/rules after tests fix

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 17 Jun 2022 09:52:31 +0200

trafficserver (9.1.2+ds-9) unstable; urgency=medium

  * Re-install tslua module for ppc64el arch
  * Update d/control for missing luajit build-dep for x32 arch

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 10 Jun 2022 06:51:35 +0200

trafficserver (9.1.2+ds-8) unstable; urgency=medium

  * Update d/control to fix build-deps against luajit for ppc64el

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 09 Jun 2022 14:55:48 +0200

trafficserver (9.1.2+ds-7) unstable; urgency=medium

  * Update Standards-Version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sun, 29 May 2022 19:13:34 +0200

trafficserver (9.1.2+ds-6) unstable; urgency=medium

  * Add d/u/metadata
  * Update patches which have been applied upstream
  * Patch to add missing configuration files man pages
  * Update d/copyright
  * Update d/control with Rules-Requires-Root field
  * Fix Standards-Version
  * Update build-dep in d/control

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 24 May 2022 11:31:47 +0200

## trafficserver 9.1.4+ds

=== debian/changelog ===
trafficserver (9.1.4+ds-1) unstable; urgency=medium

  * New upstream version 9.1.4+ds
    - CVE-2022-32749 Improper Check for Unusual or Exceptional Conditions
    - CVE-2022-37392 Improper Check for Unusual or Exceptional Conditions
    - CVE-2022-40743 Improper Input Validation
  * Patches refresh for 9.1.4

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 20 Dec 2022 15:15:32 +0100

## trafficserver 9.2.0+ds

=== debian/changelog ===
trafficserver (9.2.0+ds-2) unstable; urgency=medium

  * Install new experimental plugins
  * Fix d/docs after README was renamed upstream

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 30 Jan 2023 16:56:45 +0100

trafficserver (9.2.0+ds-1) unstable; urgency=medium

  * New upstream version 9.2.0+ds
  * Refresh d/patches for 9.2.0 release
  * Add patch to workaround docutils deprecated function warning
  * Add a patch to workaround obsolete python3-sphinxcontrib.plantuml version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 30 Jan 2023 08:59:51 +0100

## trafficserver 9.2.1+ds

=== debian/changelog ===
trafficserver (9.2.1+ds-1build1) mantic; urgency=medium

  * Rebuild against new libyaml-cpp0.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 02 Sep 2023 07:21:28 +0200

trafficserver (9.2.1+ds-1) unstable; urgency=medium

  * New upstream version 9.2.1+ds
  * Update d/patches for 9.2.1 release
  * Update Build-Depends to allow documentation build
  * Update patch to fix HTTP proxy tests plus forwarded URL
  * Update patch to fix doc build plus forwarded URL
  * Update d/copyright

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 19 Jun 2023 11:44:27 +0200

trafficserver (9.2.0+ds-3) unstable; urgency=medium

  * Update d/control with latest Standards-Version
  * Remove lsb-base from trafficserver dependencies
  * Fix missing quilt headers

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 30 Jan 2023 18:02:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,23 @@
 Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], pkg-config,
-  lua [ppc64el x32], libluajit-5.1-dev [!ppc64el !x32], libmaxminddb-dev,
+  libluajit2-5.1-dev [!x32] | lua [x32], libmaxminddb-dev,
   python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
   libboost-dev, libhwloc-dev, default-libmysqlclient-dev,python3-distro,
   libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,
   libkyotocabinet-dev, libmemcached-dev, libbrotli-dev,
   libcrypto++-dev, libjansson-dev, libcjose-dev, libyaml-cpp-dev,
-  libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips]
-Standards-Version: 4.6.0
+  libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips],
+  netbase, python3-sphinxcontrib.jquery
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.6.2
 Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver
 
 Package: trafficserver
-Architecture: any-amd64 any-arm64 any-ppc64el any-ppc64
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, adduser,
-  ${perl:Depends}
+Architecture: any-amd64 any-arm64
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, adduser
 Pre-Depends: ${misc:Pre-Depends}
 Provides: trafficserver-plugin-conf-remap
 Replaces: trafficserver-plugin-conf-remap (<< 3.2~),

## trafficserver 9.2.2+ds

=== debian/changelog ===
trafficserver (9.2.2+ds-1) unstable; urgency=medium

  [ Emanuele Rocca ]
  * Remove myself from Uploaders

  [ Jean Baptiste Favre ]
  * New upstream version 9.2.1+ds
  * Update d/patches for 9.2.2
    - CVE-2022-47185: Improper input validation vulnerability
    - CVE-2023-33934: Improper input validation vulnerability

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 04 Sep 2023 16:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
-Uploaders: Aron Xu <aron@debian.org>, Emanuele Rocca <ema@debian.org>
+Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], pkg-config,

## trafficserver 9.2.3%2Bds

=== debian/changelog ===
trafficserver (9.2.3+ds-1+deb12u1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:10:25 +1100

trafficserver (9.2.3+ds-1+deb12u1build3) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:05:38 +0000

trafficserver (9.2.3+ds-1+deb12u1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:07:17 +0000

trafficserver (9.2.3+ds-1+deb12u1build1) noble; urgency=medium

  * No-change rebuild against libhiredis1.1.0

 -- Dan Bungert <daniel.bungert@canonical.com>  Fri, 26 Jan 2024 10:21:16 -0700

trafficserver (9.2.3+ds-1+deb12u1) bookworm-security; urgency=medium

  * Multiple CVE fixes for 9.2.x (Closes: #1054427, Closes: #1053801)
    - CVE-2022-47185: Improper input validation vulnerability
    - CVE-2023-33934: Improper Input Validation vulnerability
    - CVE-2023-39456: Improper Input Validation vulnerability
    - CVE-2023-41752: Exposure of Sensitive Information to an Unauthorized Actor
    - CVE-2023-44487: The HTTP/2 protocol allows a denial of service
  * Refresh d/patches for 9.2.3 release
  * Add patch to workaround missing sphinxcontrib.jquery module
  * Update d/trafficserver-experimental-plugins for 9.2.3 release

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 02 Nov 2023 15:01:39 +0100

trafficserver (9.2.0+ds-2+deb12u1) bookworm-security; urgency=medium

  * Fix version number (Closes: #1038860)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 22 Jun 2023 08:43:18 +0200

trafficserver (9.2.0+ds-1~deb12u1) bookworm-security; urgency=high

  * Multiple CVE fixes for 9.2.x (Closes: #1038248)
    + CVE-2022-47184: Exposure of Sensitive Information to an Unauthorized Actor vulnerability
    + CVE-2023-30631: Improper Input Validation vulnerability
    + CVE-2023-33933: Exposure of Sensitive Information to an Unauthorized Actor vulnerability

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 21 Jun 2023 11:32:58 +0200

## trafficserver 9.2.3+ds

=== plugins/experimental/block_errors/CMakeLists.txt ===
#######################
#
#  Licensed to the Apache Software Foundation (ASF) under one or more contributor license
#  agreements.  See the NOTICE file distributed with this work for additional information regarding
#  copyright ownership.  The ASF licenses this file to you under the Apache License, Version 2.0
#  (the "License"); you may not use this file except in compliance with the License.  You may obtain
#  a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software distributed under the License
#  is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
#  or implied. See the License for the specific language governing permissions and limitations under
#  the License.
#
#######################

project(block_errors)

add_atsplugin(block_errors
    block_errors.cc
)

=== plugins/experimental/fastcgi/src/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

#Please update below required files/directories inorder to work this make file
# 1. ATS_SRC		--either set or export env variable path to traffic server src directory
# 2. ATS_EXEC       --either set or export env variable path to traffic server exec directory


ifndef ATS_SRC
$(error ATS_SRC is not set)
endif

ifndef ATS_EXEC
$(error ATS_EXEC is not set)
endif

MOD_FCGI_DIR=$(CURDIR)
TRAFFIC_SERVER_SRC_DIR=$(ATS_SRC)
TRAFFIC_SERVER_EXEC_DIR=$(ATS_EXEC)

TSXS?=$(TRAFFIC_SERVER_EXEC_DIR)/bin/tsxs
OBJ_FILES=server_intercept.cc fcgi_config.cc ats_fcgi_client.cc server.cc connection_pool.cc request_queue.cc server_connection.cc

TRAFFIC_SERVER_EXEC_CONF_DIR=$(TRAFFIC_SERVER_EXEC_DIR)/etc/trafficserver/
PLUGIN_CONF_FILES=$(MOD_FCGI_DIR)/config/ats_fastcgi.config

LDLIB_DIR=-L $(TRAFFIC_SERVER_EXEC_DIR)/lib/
LDLIB=-latscppapi

INC=-I $(MOD_FCGI_DIR)\
	-I $(TRAFFIC_SERVER_SRC_DIR)/lib\
	-I $(TRAFFIC_SERVER_SRC_DIR)/lib/cppapi/include/
COPY_CONFIG = $(shell sudo cp -R '$(PLUGIN_CONF_FILES)' '$(TRAFFIC_SERVER_EXEC_CONF_DIR)')

all:
	$(TSXS) -o ats_fastcgi.so -c ats_fastcgi.cc $(LDLIB_DIR) $(LDLIB) $(INC) $(OBJ_FILES)
install:
	$(TSXS) -v -i -o ats_fastcgi.so
	echo copying config files to ats_fascgi config dir..... $(COPY_CONFIG)
clean:
	rm -f *.lo *.so

=== debian/changelog ===
trafficserver (9.2.3+ds-1) unstable; urgency=medium

  * New upstream version 9.2.3+ds
  * Update d/trafficserver-experimental-plugins for 9.2.3 release
  * CVEs fixes (Closes: #1054427, Closes: #1053801)
    - CVE-2023-39456: Improper Input Validation vulnerability
    - CVE-2023-41752: Exposure of Sensitive Information to an Unauthorized Actor
    - CVE-2023-44487: The HTTP/2 protocol allows a denial of service

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 02 Nov 2023 13:46:58 +0100

## trafficserver 9.2.4+ds

=== debian/changelog ===
trafficserver (9.2.4+ds-2) unstable; urgency=medium

  * Disable plugin dynamic reload by default (Closes: #1020989)
  * Improve d/trafficserver.service security
  * Update d/copyright to fix lintian warning

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 16 Apr 2024 14:26:54 +0200

trafficserver (9.2.4+ds-1) unstable; urgency=medium

  * New upstream version 9.2.4+ds
  * Refresh d/patches for 9.2.4 release
  * Update Debian Policy version
  * Update d/copyright fixing lintian superfluous-file-pattern warning
  * Update d/control to fix lintian build-depends-on-obsolete-package warning
  * CVEs fix (Closes: #1068417)
    - CVE-2024-31309: HTTP/2 CONTINUATION DoS attack

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 13 Apr 2024 09:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
-  bison [linux-any], flex [linux-any], pkg-config,
+  bison [linux-any], flex [linux-any], pkgconf,
   libluajit2-5.1-dev [!x32] | lua [x32], libmaxminddb-dev,
   python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
   libboost-dev, libhwloc-dev, default-libmysqlclient-dev,python3-distro,
@@ -15,7 +15,7 @@
   libunwind-dev [i386 amd64 ppc64el armhf arm64 mipsel mips64el mips],
   netbase, python3-sphinxcontrib.jquery
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://trafficserver.apache.org/
 Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
 Vcs-Browser: https://salsa.debian.org/debian/trafficserver

## trafficserver 9.2.5%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: trafficserver
 Section: web
 Priority: optional
-Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
 Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
   bison [linux-any], flex [linux-any], pkgconf,
-  libluajit2-5.1-dev [!x32] | lua [x32], libmaxminddb-dev,
+  libluajit-5.1-dev [!x32] | lua [x32], libmaxminddb-dev,
   python3-sphinx, plantuml, python3-sphinxcontrib.plantuml,
   libboost-dev, libhwloc-dev, default-libmysqlclient-dev,python3-distro,
   libxml2-dev, libncurses-dev, libcurl4-openssl-dev, libhiredis-dev,

## trafficserver 9.2.5+ds

=== debian/changelog ===
trafficserver (9.2.5+ds-1) unstable; urgency=high

  * New upstream version 9.2.5+ds
  * Patches refresh for 9.2.5
  * Update d/control Build-Depends
  * CVEs fix (Closes: #1077141)
    - CVE-2023-38522: Incomplete field name check allows request smuggling
    - CVE-2024-35161: Incomplete check for chunked trailer section allows
      request smuggling
    - CVE-2024-35296: Invalid Accept-Encoding can force forwarding requests

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 23 Aug 2024 18:49:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: trafficserver
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
+Maintainer: Jean Baptiste Favre <debian@jbfavre.org>
 Uploaders: Aron Xu <aron@debian.org>
 Build-Depends: debhelper-compat (= 13), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any], graphviz,
